## ocaml-mirage-clock-unix 1.0.0

=== Makefile ===
all:
	./opam_build false

install:
	./opam_build true

test:
	./opam_build test

%-build:
	OS=$* ./build

%-install:
	OS=$* ./build true

%-test:
	OS=$* ./build test

clean:
	rm -rf _build

=== debian/changelog ===
ocaml-mirage-clock-unix (1.0.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Wed, 16 Jul 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-mirage-clock-unix
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 camlp4-extra,
 ocaml-native-compilers,
 libmirage-types-ocaml-dev,
 ocaml-findlib

Package: ocaml-mirage-clock-unix
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A Mirage-compatible Clock library for Unix
 A Mirage-compatible Clock library for Xen

Package: ocaml-mirage-clock-unix-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-mirage-clock-unix (>= 1.0.0-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-mirage-clock-unix
 The ocaml-mirage-clock-unix-devel package contains libraries and
 signature files for developing applications that use ocaml-mirage-
 clock-unix.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-mirage-clock-unix/usr/lib/ocaml/mirage-clock-unix/*.a
	rm -f debian/ocaml-mirage-clock-unix/usr/lib/ocaml/mirage-clock-unix/*.cmxa
	rm -f debian/ocaml-mirage-clock-unix/usr/lib/ocaml/mirage-clock-unix/*.cmx

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
